msgexplan
Prev | DocBook Element Reference | Next

This is an alpha version of this book.

# msgexplan

msgexplan — Explanatory material relating to a message in a message set

## Synopsis

### Content Model

    msgexplan ::=
    (title?,
     (calloutlist|glosslist|itemizedlist|orderedlist|segmentedlist|
      simplelist|variablelist|caution|important|note|tip|warning|
      literallayout|programlisting|programlistingco|screen|screenco|
      screenshot|synopsis|cmdsynopsis|funcsynopsis|classsynopsis|
      fieldsynopsis|constructorsynopsis|destructorsynopsis|
      methodsynopsis|formalpara|para|simpara|address|blockquote|
      graphic|graphicco|mediaobject|mediaobjectco|informalequation|
      informalexample|informalfigure|informaltable|equation|example|
      figure|table|msgset|procedure|sidebar|qandaset|productionset|
      constraintdef|anchor|bridgehead|remark|highlights|abstract|
      authorblurb|epigraph|indexterm|beginpage)+)

### Attributes

Common attributes

## Description

A `MsgExplan` contains some sort of explanatory information about a `Msg` or a set of `Msg`s in a `MsgEntry`.

### Processing expectations

Formatted as a displayed block. Sometimes suppressed.

If a `MsgEntry` contains multiple `Msg`s and multiple `MsgExplan`s, DocBook makes no assertions about how they are related.

On the whole, the semantics of `MsgSet` are not clearly defined.

### Parents

These elements contain msgexplan: `msgentry`, `simplemsgentry`.

### Children

The following elements occur in msgexplan: `abstract`, `address`, `anchor`, `authorblurb`, `beginpage`, `blockquote`, `bridgehead`, `calloutlist`, `caution`, `classsynopsis`, `cmdsynopsis`, `constraintdef`, `constructorsynopsis`, `destructorsynopsis`, `epigraph`, `equation`, `example`, `fieldsynopsis`, `figure`, `formalpara`, `funcsynopsis`, `glosslist`, `graphic`, `graphicco`, `highlights`, `important`, `indexterm`, `informalequation`, `informalexample`, `informalfigure`, `informaltable`, `itemizedlist`, `literallayout`, `mediaobject`, `mediaobjectco`, `methodsynopsis`, `msgset`, `note`, `orderedlist`, `para`, `procedure`, `productionset`, `programlisting`, `programlistingco`, `qandaset`, `remark`, `screen`, `screenco`, `screenshot`, `segmentedlist`, `sidebar`, `simpara`, `simplelist`, `synopsis`, `table`, `tip`, `title`, `variablelist`, `warning`.

## Examples

For examples, see `msgset` .

Prev | Home | Next
msgentry | Up | msginfo

Copyright© 1999, 2000, 2001 O'Reilly & Associates, Inc. All rights reserved.